Bug 134781 - Click "mount volume" of context menu in computer:\\, hard disk icon doesn't be changed.
Summary: Click "mount volume" of context menu in computer:\\, hard disk icon doesn't ...
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: nautilus   
(Show other bugs)
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Larsson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-06 09:23 UTC by sangu
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-09 09:12:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description sangu 2004-10-06 09:23:50 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041002
Firefox/0.10.1

Description of problem:
Click "mount volume" of context menu in computer:\\, hard disk icon
doesn't be changed.

Version-Release number of selected component (if applicable):
nautilus-2.8.0-2

How reproducible:
Always

Steps to Reproduce:
1. Unmount All partisions except using partision.
2. Mount partions again.
3.
    

Actual Results:  No changed icon.

Expected Results:  Changed icon.

Additional info:

gnome-vfs2-2.8.1-5, hal-0.2.99.cvs20040929-3

Comment 1 Alexander Larsson 2004-10-08 09:44:46 UTC
Hmm. I'm not sure it should be changed. David, opinions?

Comment 2 sangu 2004-10-26 16:04:24 UTC
1. Insert  "Data CD"

2. 

* No change cd icon in computer://.
But "Data CD" is mounted automatically.

* Double Click "the icon".

"mount: /dev/hdc already mounted or /media/cdrw busy
mount: according to mtab, /dev/hdc is already mounted on /media/cdrw

* Can't eject cdrom.

hal-0.4.0-5, nautilus-2.8.1-4, gnome-vfs2-2.8.2-8, kernel-2.6.9-1.643


Comment 3 David Zeuthen 2004-10-26 16:42:01 UTC
The icon should change when transitioning from unmounted to mounted;
it sounds like gnome-vfs isn't picking up the change in /etc/mtab?

Comment 4 Alexander Larsson 2004-10-27 07:40:55 UTC
Very strange, yeah. It should notice the change in mtab.

Comment 5 Alexander Larsson 2006-09-04 14:29:45 UTC
This seems to work for me right now in FC5/FC6. Do you still see this?



Note You need to log in before you can comment on or make changes to this bug.